%if 0%{?rhel} > 8
%define luaver 5.4
%elif 0%{?rhel} > 7
%define luaver 5.3
%else
%define luaver 5.1
%endif
%define lualibdir %{_libdir}/lua/%{luaver}
%define luadatadir %{_datadir}/lua/%{luaver}

Name:		lua-cjson
Version:	2.1.0
Release:	2%{?dist}
Summary:	A fast JSON encoding/parsing module for Lua

Group:		Development/Libraries
License:	MIT
URL:		http://www.kyne.com.au/~mark/software/lua-cjson/
Source0:	http://www.kyne.com.au/~mark/software/lua-cjson/download/lua-cjson-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	lua >= %{luaver}, lua-devel >= %{luaver}
Requires:	lua >= %{luaver}

%description
The Lua CJSON module provides JSON support for Lua. It features:
- Fast, standards compliant encoding/parsing routines
- Full support for JSON with UTF-8, including decoding surrogate pairs
- Optional run-time support for common exceptions to the JSON specification
  (infinity, NaN,..)
- No dependencies on other libraries


%prep
%setup -q


%build
make %{?_smp_mflags} CFLAGS="%{optflags}" LUA_INCLUDE_DIR="%{_includedir}"


%install
rm -rf "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT" LUA_CMODULE_DIR="%{lualibdir}"
make install-extra DESTDIR="$RPM_BUILD_ROOT" LUA_MODULE_DIR="%{luadatadir}" \
	LUA_BIN_DIR="%{_bindir}"


%clean
rm -rf "$RPM_BUILD_ROOT"


%preun
/bin/rm -f "%{luadatadir}/cjson/tests/utf8.dat"


%files
%defattr(-,root,root,-)
%doc LICENSE NEWS performance.txt manual.txt rfc4627.txt THANKS
%{lualibdir}/*
%{luadatadir}/*
%{_bindir}/*


%changelog
* Fri Jul 19 2024 Daniel Berteaud <dbd@ehtrace.com> 2.1.0-2
- new package built with tito

* Fri Jul 19 2024 Daniel Berteaud <dbd@ehtrace.com> - 2.1.0-1
- Rebuild for EL8 and EL9

